# Options Volume `GET` `https://api.unusualwhales.com/api/stock/{ticker}/options-volume` Returns the options volume & premium for all trade executions that happened on a given trading date for the given ticker. ---- This can be used to build a ticker options overview such as: ![Table](https://i.imgur.com/7FHyuqc.png) ---- ![Line](https://i.imgur.com/UnVryDK.png) ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `limit` | Default 1 Max 500 Min 1 | No | How many items to return. Default: 1. Max: 500. Min: 1. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `avg_30_day_call_volume` | Market General Avg 30 Day Call Volume | Avg 30 day call volume. | | `avg_30_day_put_volume` | Market General Avg 30 Day Put Volume | Avg 30 day put volume. | | `avg_3_day_call_volume` | Market General Avg 3 Day Call Volume | Avg 3 day call volume. | | `avg_3_day_put_volume` | Market General Avg 3 Day Put Volume | Avg 3 day put volume. | | `avg_7_day_call_volume` | Market General Avg 7 Day Call Volume | Avg 7 day call volume. | | `avg_7_day_put_volume` | Market General Avg 7 Day Put Volume | Avg 7 day put volume. | | `bearish_premium` | Market General Bearish Premium | The bearish premium is defined as (call premium bid side) + (put premium ask side). | | `bullish_premium` | Market General Bullish Premium | The bullish premium is defined as (call premium ask side) + (put premium bid side). | | `call_open_interest` | Market General Call Open Interest | The sum of open interest of all the call options. | | `call_premium` | Market General Call Premium | The sum of the premium of all the call transactions that executed. | | `call_volume` | Market General Call Volume | The sum of the size of all the call transactions that executed. | | `call_volume_ask_side` | Market General Call Volume Ask Side | The sum of the size of all the call transactions that executed on the ask side. | | `call_volume_bid_side` | Market General Call Volume Bid Side | The sum of the size of all the call transactions that executed on the bid side. | | `date` | Market General Trading day | A trading date in ISO format. | | `net_call_premium` | Market General Net Call Premium | Defined as (call premium ask side) - (call premium bid side). | | `net_put_premium` | Market General Net Put Premium | Defined as (put premium ask side) - (put premium bid side). | | `put_open_interest` | Market General Put Open Interest | The sum of the open interest of all the put options. | | `put_premium` | Market General Put Premium | The sum of the premium of all the put transactions that executed. | | `put_volume` | Market General Put Volume | The sum of the size of all the put transactions that executed. | | `put_volume_ask_side` | Market General Put Volume Ask Side | The sum of the size of all the put transactions that executed on the ask side. | | `put_volume_bid_side` | Market General Put Volume Bid Side | The sum of the size of all the put transactions that executed on the bid side. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/options-volume" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/options-volume", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "avg_30_day_call_volume": "658450.333333333333", "avg_30_day_put_volume": "481505.300000000000", "avg_3_day_call_volume": "949763.000000000000", "avg_3_day_put_volume": "756387.333333333333", "avg_7_day_call_volume": "878336.000000000000", "avg_7_day_put_volume": "580650.857142857143", "bearish_premium": "138449839", "bullish_premium": "152015294", "call_open_interest": 4358631, "call_premium": "208699280", "call_volume": 1071546, "call_volume_ask_side": 486985, "call_volume_bid_side": 514793, "date": "2023-09-08", "net_call_premium": "122015294", "net_put_premium": "108449839", "put_open_interest": 3771656, "put_premium": "125472872", "put_volume": 666386, "put_volume_ask_side": 298282, "put_volume_bid_side": 318834 } ] } ```